

#ifndef _xrtglbtn_h_ /* Fri Mar 11 08:38:02 1994 */
#define _xrtglbtn_h_





/*
 *
 *          Copyright (C) 1994, M. A. Sridhar
 *  
 *
 *     This software is Copyright M. A. Sridhar, 1994. You are free
 *     to copy, modify or distribute this software  as you see fit,
 *     and to use  it  for  any  purpose, provided   this copyright
 *     notice and the following   disclaimer are included  with all
 *     copies.
 *
 *                        DISCLAIMER
 *
 *     The author makes no warranties, either expressed or implied,
 *     with respect  to  this  software, its  quality, performance,
 *     merchantability, or fitness for any particular purpose. This
 *     software is distributed  AS IS.  The  user of this  software
 *     assumes all risks  as to its quality  and performance. In no
 *     event shall the author be liable for any direct, indirect or
 *     consequential damages, even if the  author has been  advised
 *     as to the possibility of such damages.
 *
 */





// ExOrToggleButton: an ``exclusive-or'' version of the toggle button, also
// called a radio button.


#include "ui/button.h"


class UI_ExOrToggleButton: public UI_Button {

public:

    UI_ExOrToggleButton (UI_CompositeVObject* parent,
                         const UI_Rectangle& shape,
                         UI_ViewID id = -1, long style = -1);

    UI_ExOrToggleButton (UI_CompositeVObject* parent,
                         UI_ViewID id, UI_ViewHandle h);
    // For resource-based construction

    void Initialize ();


    CL_Object* Model ();

    const char* ClassName () const {return "UI_ExOrToggleButton";};

    char* MSWindowsName () const;

    bool MakeVisualElement ();
    
#if defined (__X_MOTIF__)
    struct _WidgetClassRec* XName () const;

#endif

protected:

    bool ModelChanged (CL_Object&, long);


    ~UI_ExOrToggleButton(){;};
     
    
#if defined (__X_MOTIF__)
    static void SelectionCallback (struct _WidgetRec*, void *, void *);

#endif
    
};




#endif /* _xrtglbtn_h_ */
